Package org.pgpainless.key.util

# Class UserId.DefaultIgnoreCaseComparator

java.lang.Object
org.pgpainless.key.util.UserId.DefaultIgnoreCaseComparator

All Implemented Interfaces:
  `Comparator<UserId>`

Enclosing class:
  `UserId`

public static class UserId.DefaultIgnoreCaseComparator extends Object implements Comparator<UserId>

## Constructor Summary

Constructors
Constructor
Description
`DefaultIgnoreCaseComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(UserId o1, UserId o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### DefaultIgnoreCaseComparator

public DefaultIgnoreCaseComparator()

## Method Details

### compare

public int compare(UserId o1, UserId o2)

Specified by:
  `compare` in interface `Comparator<UserId>`